Summary: Bochs Project x86 PC Emulator
Name: bochs
Version: 1.4
Release: 1
License: LGPL
Group: Applications/Emulators
URL:http://bochs.sourceforge.net
Packager:Bryce Denney <bryce.denney@bigfoot.com>
Source:bochs-1.4.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
Bochs is a portable x86 PC emulation software package that emulates enough of
the x86 CPU, related AT hardware, and BIOS to run DOS, Windows '95, Minix 2.0,
and other OS's, all on your workstation. 

%prep
	rm -rf $RPM_BUILD_DIR/bochs-1.4
	tar xzvf $RPM_SOURCE_DIR/bochs-1.4.tar.gz
	if test "/" != $RPM_BUILD_ROOT; then
	  rm -rf $RPM_BUILD_ROOT
	fi
%build
	cd $RPM_BUILD_DIR/bochs-1.4
	CONFIGURE_ARGS="--prefix /usr"
	export CONFIGURE_ARGS
	sh .conf.linux
	make
	make unpack_dlx   # must use prefix=/usr since this step sets up
                          # the paths in dlx bochsrc file.
%install
	pwd
	cd $RPM_BUILD_DIR/bochs-1.4
	for i in "" usr usr/bin usr/man usr/man/man1; do 
	  if ! test -d $RPM_BUILD_ROOT/$i; then mkdir $RPM_BUILD_ROOT/$i; fi
	done
	make install_bin install_man install_fonts install_dlx prefix=$RPM_BUILD_ROOT/usr
	# fix up symlinks that point to buildroot
        cd $RPM_BUILD_ROOT/usr/bin
        rm -f bochs; ln -sf /usr/bochs/1.4/bochs .
        rm -f bximage; ln -sf /usr/bochs/1.4/bximage .

%files
	/usr/bin/bochs
	/usr/bin/bochs-docs
	/usr/bin/bochs-dlx
	/usr/bin/bximage
	/usr/bochs/1.4
	/usr/bochs/dlxlinux
	/usr/bochs/latest
	/usr/man/man1/*
%clean
	rm -rf $RPM_BUILD_DIR/bochs-1.4
	if test "/" != $RPM_BUILD_ROOT; then
	  rm -rf $RPM_BUILD_ROOT
	fi
%post
	/usr/bochs/1.4/install-x11-fonts
%preun
	# clean up the bochsout.txt that is always produced if you 
	# run bochs-dlx.
	rm -rf /usr/bochs/dlxlinux/bochsout.txt core
%postun
	rmdir /usr/bochs > /dev/null 2>&1
